Corrigindo erros no módulo do VirtualBox (Ubuntu)

Publicado por Priscilla Pedde em 28/10/2009

[ Hits: 7.470 ]

 


Corrigindo erros no módulo do VirtualBox (Ubuntu)



Quando o VirtualBox não consegue instalar os módulos com o comando "apt-get install virtualbox-ose":

1 - Primeiramente use o comando "uname -r" para verificar qual é a versão do kernel em uso em seu sistema operacional e instale a versão correspondente do pacote "virtualbox-ose-modules". Por exemplo:

uname -r
2.6.24.16-generic

2 - Instale o módulo do Virtualbox correspondente ao kernel:

sudo apt-get install virtualbox-ose-modules-2.6.24-16-generic

Obs.: Se, por acaso você estiver usando um kernel personalizado ou não houver um módulo com a versão correta, pode fazer a instalação do módulo usando o module-assistant, que se encarregará de compilar.

3 - Instalando o módulo para compilar:

apt-get install module-assistant build-essential

4 - Em seguida gere o módulo usando o comando "m-a a-i" (versão abreviada do comando "module-assistant auto-install"):

sudo m-a a-i virtualbox-ose-module

5 - Isso compilará e instalará o módulo automaticamente. Se houver algum erro nesse ponto, verifique se o pacote "build-essential", usando comando "dpkg -l build-essential", foi corretamente instalado e se você não deletou acidentalmente os headers.

Pronto, sua correção foi feita com sucesso!

Outras dicas deste autor

Links simbólicos e hard links

Criando assinaturas para autenticidade e segurança

Trocando letrinhas em segundos (sed)

Madwifi - Debian Etch

Traduzindo Thunderbird para pt_BR na velocidade da luz

Leitura recomendada

Melhorar a exibição das fontes na GUI

Gerando arquivos MPEG no Kino para criar DVD

pdflatex: Resolvendo o problema do xy.sty não encontrado

CUPS-PDF: erro "cups-pdf failed" [Ubuntu 9.04]

Compartilhando músicas para os micros da rede

  

Comentários
[1] Comentário enviado por zendrael em 29/10/2009 - 08:54h

Olá!

Quando executo "sudo m-a a-i virtualbox-ose-module " ele me dá o seguinte erro:

"virtualbox-ose-module, o que é virtualbox-ose-module ?"

Estou usando o kernel 2.6.31.3 (baixado do kernel.org) compilado a partir das configurações do 2.6.28-15.
Tem como corrigir isso?

Valeu!



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts